class Sun extends SpaceObject {
	/**
	*	Create the sun using drawSolarObject with the passed 
	*	parameters
	*/
	public Sun(SolarSystem solarSystem, double distance, double diameter, double velocity, String colour) {
		super(solarSystem, distance, diameter, velocity, colour);
		this.solarSystem.drawSolarObject(this.distance, this.angle, this.diameter, this.colour);
	} 

	/**
	*	Sun does not need to move in this solar system model,
	*	so distance and angles are just hard coded in
	*/
	public void move() {
		this.solarSystem.drawSolarObject(0, 0, this.diameter, this.colour);
	}
}